Bug 206934 - [ iOS ] imported/w3c/web-platform-tests/IndexedDB/key-generators/reading-autoincrement-indexes-cursors.any.serviceworker.html is flaky failing.
Summary: [ iOS ] imported/w3c/web-platform-tests/IndexedDB/key-generators/reading-auto...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-01-29 08:07 PST by Jason Lawrence
Modified: 2020-02-11 14:44 PST (History)
17 users (show)

See Also:


Attachments
Update Test Expectations (1.64 KB, patch)
2020-01-29 09:02 PST, Jason Lawrence
no flags Details | Formatted Diff | Diff
Patch (22.30 KB, patch)
2020-01-31 09:47 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (23.94 KB, patch)
2020-01-31 10:00 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (24.39 KB, patch)
2020-01-31 10:22 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Lawrence 2020-01-29 08:07:39 PST
imported/w3c/web-platform-tests/IndexedDB/key-generators/reading-autoincrement-indexes-cursors.any.serviceworker.html


Description:
This test is flaky failing. This test is also flaky crashing, I will create another related bug for that issue.

History:
https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2FIndexedDB%2Fkey-generators%2Freading-autoincrement-indexes-cursors.any.serviceworker.html

Diff:
--- /Volumes/Data/slave/ios-simulator-13-debug-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/IndexedDB/key-generators/reading-autoincrement-indexes-cursors.any.serviceworker-expected.txt
+++ /Volumes/Data/slave/ios-simulator-13-debug-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/IndexedDB/key-generators/reading-autoincrement-indexes-cursors.any.serviceworker-actual.txt
@@ -1,6 +1,4 @@
 
-PASS IDBIndex.openCursor() iterates over an index on the autoincrement key 
-PASS IDBIndex.openKeyCursor() iterates over an index on the autoincrement key 
-PASS IDBIndex.openCursor() iterates over an index not covering the autoincrement key 
-PASS IDBIndex.openKeyCursor() iterates over an index not covering the autoincrement key 
+Harness Error (TIMEOUT), message = null
 
+
Comment 1 Radar WebKit Bug Importer 2020-01-29 08:08:19 PST
<rdar://problem/58991581>
Comment 2 Jason Lawrence 2020-01-29 09:02:23 PST
Created attachment 389143 [details]
Update Test Expectations
Comment 3 Truitt Savell 2020-01-29 09:09:05 PST
Comment on attachment 389143 [details]
Update Test Expectations

Clearing flags on attachment: 389143

Committed r255360: <https://trac.webkit.org/changeset/255360>
Comment 4 Jason Lawrence 2020-01-29 10:10:01 PST
After reviewing the dashboard, this appears to have regressed at 251589 (https://trac.webkit.org/changeset/251589/webkit).  

I am able to reproduce the flaky failure locally with run-webkit-tests iterations.

Also, bug 206935 has been marked as a duplicate of 206396.
Comment 5 Chris Dumez 2020-01-31 09:47:43 PST
Created attachment 389367 [details]
Patch
Comment 6 Chris Dumez 2020-01-31 10:00:08 PST
Created attachment 389370 [details]
Patch
Comment 7 Chris Dumez 2020-01-31 10:22:30 PST
Created attachment 389372 [details]
Patch
Comment 8 Chris Dumez 2020-01-31 12:58:51 PST
Comment on attachment 389372 [details]
Patch

Clearing flags on attachment: 389372

Committed r255518: <https://trac.webkit.org/changeset/255518>
Comment 9 Chris Dumez 2020-01-31 12:58:53 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Chris Dumez 2020-01-31 13:05:55 PST
Follow-up build fix: <https://trac.webkit.org/changeset/255519>
Comment 11 Chris Dumez 2020-01-31 16:23:21 PST
Flakiness dashboard shows one timeout after this fix so this fix does not appear to be sufficient. Reopening.
Comment 12 Jason Lawrence 2020-02-11 14:44:33 PST
I have marked this test as failing while this issue is investigated further.
https://trac.webkit.org/changeset/256375/webkit